ChartDirector Ver 5.0 (PHP Edition)

PieChart.set3D2

Usage

set3D2(depths [, angle [, shadowMode ]])

Description

Adds 3D effects to the pie, where each sector can have a different 3D depth.

Arguments

Argument | Default | Description
--- | --- | ---
depths | (Mandatory) | An array of integers representing the 3D depths for the sectors.
angle | 45 | The 3D view angle in degrees. Must be 0 - 90 for standard 3D mode, and 0 - 360 in shadow 3D mode. -1 means the angle is automatically determined.
shadowMode | false (zero) | Flag to indicate whether the pie is in standard 3D or shadow 3D mode. A true (non-zero) value means shadow 3D mode. A false (zero) value means standard 3D mode.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.